Subject: RE: ICMPv6 Rate Limiting Methods: Revised Text (2)

From: [email-masked]
Date: Wed, 14 Jan 2004 20:22:23 -0600

Julian,

do you completely want to remove back-to-back or "..back-to-back 
ICMP error messages.." will be agreeable ??

I don't mind removing back-to-back if it is creating confusion ?
Let me know.

Regards
Mukesh

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of ext
> Sellers, Julian P
> Sent: Wednesday, January 14, 2004 2:47 PM
> To: [email-masked]
> Subject: Re: ICMPv6 Rate Limiting Methods: Revised Text (2)
> 
> 
> From Pekka's text:
> 
>         One good way to implement the rate-limiting function 
> is a token
>         bucket, allowing up to B back-to-back error messages to 
>         be transmitted in a burst, but limiting the average rate of 
>         transmission to N, where N can either be packets/seconds or a 
>         fraction of the attached link's bandwidth.
> 
> From an earlier message from Zachary Amsden:
> 
>         It seems to me that "back to back" is ill-defined.  
> It is highly 
>         unlikely that the ICMP error packets will be 
> transmitted with no other 
>         transmissions in between, which "back to back" seems 
> to imply.  The 
>         burst allowance should probably be defined as 
> "allowing a burst of N 
>         packets over Ts seconds", or something along these lines.
> 
> Zachary is right--"back-to-back" adds nothing but confusion.  
> Please remove "back-to-back."
> 
> Julian
> 
> THIS COMMUNICATION MAY CONTAIN CONFIDENTIAL AND/OR OTHERWISE 
> PROPRIETARY MATERIAL and is thus for use only by the intended 
> recipient. If you received this in error, please contact the 
> sender and delete the e-mail and its attachments from all computers.
> 
> 
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------